Redmine - Feature #20688

Add Total estimated hours column on issue list
2015-09-07 12:07 - Sebastian Paluch

Status: Closed Start date:

Priority: High Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 3.1.1

Resolution: Fixed

Description

Due to the change in r14272 estimated_hours are now independent for parent and subtasks. Total hours for parent are now available

through new total_estimated_hours field.

This resulted in a change in what is shown on issue list in column Estimated hours. Before the change, the column shown total

estimated hours. Now it is showing nothing.

| decided to report this as a bug as this has introduced big back compatibility issue. Now we are not able to generate overview at

higher level of parent tasks.

To fix this situation a "Total estimated hours" column should be added.

Related issues:

Related to Redmine - Defect #16092: Parent/subtask: calculation of estimated ... Closed
Related to Redmine - Defect #20721: Estimated hours field for parent task is ... Closed
Related to Redmine - Patch #20733: "Total estimated time" should be inserted ... Closed
Related to Redmine - Defect #33273: Total estimated time column shows up as d... Closed

Associated revisions

Revision 14554 - 2015-09-12 14:47 - Jean-Philippe Lang

Adds a Total estimated hours column on issue list (#20688).

Revision 14555 - 2015-09-12 14:47 - Jean-Philippe Lang
Adds translation strings (#20688).

Revision 14558 - 2015-09-12 16:53 - Jean-Philippe Lang
Merged r14554 (#20688).

Revision 14559 - 2015-09-12 16:54 - Jean-Philippe Lang
Adds translation strings (#20688).

History

#1 - 2015-09-07 12:15 - Toshi MARUYAMA

- Target version set to 3.1.1

#2 - 2015-09-07 17:46 - Toshi MARUYAMA

- Related to Defect #16092: Parent/subtask: calculation of estimated hours added

#3 - 2015-09-07 17:50 - Toshi MARUYAMA

There is also a claim of behavior change at #16092#note-7.

Takashi Ichihashi wrote:

How can | get total estimate hours on parent issue via REST ? | had been able to get it under version 3.0.
https://www.redmine.org/projects/redmine/repository/svn/revisions/14272
https://www.redmine.org/issues/16092#note-7

#4 - 2015-09-11 13:28 - Toshi MARUYAMA
- Related to Defect #20721: Estimated hours field for parent task is disabled on issue edit added

#5 - 2015-09-12 14:48 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

- Subject changed from No Estimated hours for parent task on issue list to Add Total estimated hours column on issue list
- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Column added in r14555.

#6 - 2015-09-12 16:54 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.

#7 - 2015-09-13 09:08 - Go MAEDA
- Related to Patch #20733: "Total estimated time" should be inserted after "Estimated time" in "Avalable Columns" added

#8 - 2015-09-26 16:55 - Takashi Ichihashi

Toshi MARUYAMA wrote:
There is also a claim of behavior change at #16092#note-7.
Takashi Ichihashi wrote:

How can | get total estimate hours on parent issue via REST ? | had been able to get it under version 3.0.

| need to be added new REST tag such as "total_hours" instead of "spent_hours". However, | resolved by how the client tools calculate total hours
using "spent_hours" after upgrade to 3.1. So, it's not so urgent.

#9 - 2015-10-26 03:26 - Toshi MARUYAMA
Takashi Ichihashi wrote:
Toshi MARUYAMA wrote:
There is also a claim of behavior change at #16092#note-7.
Takashi Ichihashi wrote:

How can | get total estimate hours on parent issue via REST ? | had been able to get it under version 3.0.

| need to be added new REST tag such as "total_hours" instead of "spent_hours". However, | resolved by how the client tools calculate total
hours using "spent_hours" after upgrade to 3.1. So, it's not so urgent.

Could you create new issue if you need?

#10 - 2020-04-08 08:31 - Go MAEDA

- Related to Defect #33273: Total estimated time column shows up as decimal value regardless of time setting added
